#-------------------------------------------------
#
# Project created by QtCreator 2013-09-20T14:01:20
#
#-------------------------------------------------

TARGET = paulcommon
TEMPLATE = lib

QT += core

contains(QT_MAJOR_VERSION, 5) {

  QT += widgets

  QT += printsupport

}

INCLUDEPATH += \
        $${PWD} \
        ../../../DEV_PLE/header \
        header \
        src

DEFINES += PAULCOMMON_LIBRARY

SOURCES += systemtime.cpp \
    arbitrarytime.cpp \
    src/paulcommoncrc.cpp \
    src/gresbstatusenquiry.cpp \
    src/hkdisplay.cpp \
    src/parameterdump.cpp \
    src/qipdialogbox.cpp \
    src/tcpackettosend.cpp \
    src/tmpackettoread.cpp \
    src/tmstatistics.cpp

HEADERS += systemtime.h\
    arbitrarytime.h \
    header/paulcommoncrc.h \
    header/gresbstatusenquiry.h \
    header/gresbstatusqueryTYPES.h \
    header/hkdisplay.h \
    header/parameterdump.h \
    header/qipdialogbox.h \
    header/tcpackettosend.h \
    header/tmpackettoread.h \
    header/tmstatistics.h \
    header/paulcommonparams.h

header.path = $$[QT_INSTALL_HEADERS]/lppmon/paulcommon
header.files = \
    systemtime.h\
    arbitrarytime.h \
    header/paulcommoncrc.h \
    header/gresbstatusenquiry.h \
    header/gresbstatusqueryTYPES.h \
    header/hkdisplay.h \
    header/parameterdump.h \
    header/qipdialogbox.h \
    header/tcpackettosend.h \
    header/tmpackettoread.h \
    header/tmstatistics.h \
    header/paulcommonparams.h

target.path = $$[QT_INSTALL_LIBS]
isEmpty(target.path) {
        target.path = $(QTDIR)/lib
}

INSTALLS += header target
